main {
    margin: 2% 25%;
}
main h2 {
    font-family: "Fredericka the Great", serif;
    font-weight: 600;
    font-size: 40px;
    color: #8c462fbb;
    margin-bottom: 20px;
}
.post {
    padding: 5px;
    background-color: rgba(255, 255, 255, 0.548);
    display: flex;
    height: 360px;
    border: 2px solid #8c462f;
    margin-bottom: 20px;
}
.post img {
    width: 240px;
    height: 100%;
    object-fit: cover;
}
.post-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}
.post-body {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 20px;
    height: 250px;
}
.post-body p {
    font-size: 20px;
    color: #8c462fbb;
    text-align: justify;
    display: -webkit-box;
    -webkit-line-clamp: 7;
    overflow: hidden;
    -webkit-box-orient: vertical;
}
.post-body h3 {
    font-family: "Fredericka the Great", serif;
    font-weight: 400;
    font-size: 30px;
    color: #8c462f;
}
.post-content > a {
    text-decoration: none;
    color: white;
    background-color: #007031;
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 10px 20px;
    border-radius: 2px;
    transition-duration: .5s;
}
.post-content > a:hover {
    transform: scale(1.03);
}

@media (max-width: 1500px) {
    main {
        margin: 2% 15%;
    }
}
@media (max-width: 1000px) {
    main {
        margin: 2% 2%;
    }
}
@media (max-width: 770px) {
    main {
        margin: 2% 2%;
    }
}
@media (max-width: 570px) {
    .post {
        height: auto !important;
        display: flex;
        flex-direction: column;
    }
    .post img {
        width: 100%;
        height: 200px;
    }
    .post-body {
        padding: 10px;
    }
    .post-body p {
        font-size: 15px;
    }
    .post-body h3 {
        font-size: 25px;
    }
    .post-content > a {
        position: unset;
        text-align: center;
        font-size: 18px;
    }
}